.\"
.\" $Id: verify_number.man,v 1.8 1998/02/17 09:53:34 mdejonge Exp $
.\"
.\"   $Source: /home/mdejonge/CVS/projects/modem/scripts/verify_number.man,v $
.\" $Revision: 1.8 $
.\"    Author: Merijn de Jonge
.\"     Email: mdejonge@wins.uva.nl
.\" 
.\"  
.\" 
.\" This file is part of the modem communication package.
.\" Copyright (C) 1996-1998  Merijn de Jonge
.\" 
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\" 
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\" 
.\" You should have received a copy of the GNU General Public License
.\" along with this program; if not, write to the Free Software
.\" Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\" 
.\" 
.\"
.TH verify_number 1 "Jan 19, 1997"
.SH NAME
verify_number \- script to check whether an user is allowed to dial desired
phone number.

.SH SYNOPSIS
.B verify_number 
user host number

.SH DESCRIPTION
Before an user is allowed to dial a phone number on any modem controlled my
modemd(1), he/she should have permission to dial that number. The script
\fIverify_number\fP, which is executed by modemd(1), is used to determine
whether the user has permission to dial the desired number. By using a
script for the verification of permissions, adapting the script to meet the
special needs of a particular site can easily be done.

The script takes as arguments the login name of the user, the host from
which he/she is connected and the phone number that he/she wants to dial.
On exit the script should return an exit value of zero (0) to indicate
that user@host has permission to dial the phone number. An
exit value of one (1) indicates that permission should be denied.

Besides permission to dial a phone number, an user should obtain
permission to use any of the available modems controlled by modemd(1). The
script verify_user(1) is executed by modemd(1) to determine whether this
user has permission to use a modem device.

.SH NOTES
The script that is included in the distribution simply returns an exit value
of 0, giving any user@host permission to dial any phone number. Typically,
the script needs to be adapted to meet the needs of a particular site.

.SH SEE ALSO
.BR modemd "(1),
.BR verify_user "(1)

.SH AUTHOR
Merijn de Jonge (mdejonge@wins.uva.nl)
.\"
.\" EOF scripts/verify_number.man
.\"
